Rygel.MediaPlayer – librygel-renderer Reference Manual

# MediaPlayer

## Object Hierarchy:

## Description:

public interface MediaPlayer : Object

This interface maps UPnP AVTransport:2 methods to the plugin's specific implementation.

This interface is useful only when implementing Rygel renderer plugins. Instances of this interface are retrieved from rygel_media_renderer_plugin_get_player().

Namespace: Rygel
Package: librygel-renderer

## Content:

### Properties:

- public abstract string playback_state { set; owned get; }
- public abstract string[] allowed_playback_speeds { owned get; }
- public abstract string playback_speed { set; owned get; }
- public abstract string? uri { set; owned get; }
- public abstract double volume { set; get; }
- public abstract int64 duration { get; }
- public abstract int64 size { get; }
- public abstract string? metadata { set; owned get; }
  A DIDLLite document describing the current media URI or null. The document is either the one received from a UPnP control point or one generated by the implementing class.
- public abstract string? mime_type { set; owned get; }
- public abstract bool can_seek { get; }
- public abstract bool can_seek_bytes { get; }
- public abstract string? content_features { set; owned get; }
  The contents of the contentFeatures.dlna.org HTTP header, containing the 4th field of the protocol info for the current media URI. Or null if the header does not exist or the media does not have DLNA information attached.
- public string duration_as_str { owned get; }
- public abstract int64 position { get; }
- public abstract int64 byte_position { get; }
- public string position_as_str { owned get; }
- public abstract string? user_agent { set; owned get; }
- public string protocol_info { owned get; }

### Methods:

- public abstract bool seek (int64 time)
  Seek to a point in the current media that is this many microseconds after the start.
- public abstract bool seek_bytes (int64 bytes)
  Seek to a byte position in the current media.
- public abstract string[] get_protocols ()
  Return the protocols supported by this renderer, such as "http-get" and "rtsp".
- public abstract string[] get_mime_types ()
- protected double play_speed_to_double (string speed)
  Transform a fractional playspeed (e.g. "-1/4") to double. Input values are expected to be valid rational numbers.

### Inherited Members:

All known members inherited from class GLib.Object

- interface_find_property
- interface_install_property
- interface_list_properties
- @new
- new_valist
- newv
- new_with_properties
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating

- freeze_notify
- @get
- get_class
- get_data
- get_property
- get_qdata
- get_type
- getv
- is_floating
- notify_property
- @ref
- ref_sink
- replace_data
- replace_qdata
- remove_toggle_ref
- remove_weak_pointer
- @set

- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref
- notify
- ref_count